package check_mail_address_common;

use strict;

use vars qw(@ISA @EXPORT @EXPORT_OK $VERSION);

use Exporter;

$VERSION = 0.01;

@ISA = qw(Exporter);

#    ( :DEFAULT)
@EXPORT      = qw(&print_msg &print_syslog);

# ,   
@EXPORT_OK   = qw(&print_msg &print_syslog);

######################################################################

use Sys::Syslog qw(:DEFAULT setlogsock);

sub print_msg() {
    my($msg, $verbose) = @_;
    print(STDERR $msg) if ($verbose);
}

sub print_syslog() {
    my($mailbox, $domain, $host, $command, $answer, $check_result, $use_syslog, $syslog_param) = @_;
    if ($use_syslog) {
        $answer =~ s/[\r\n]$//g;
	my($msg) = $$syslog_param{'logformat'};
	$msg =~ s/\%mailbox/$mailbox/;
	$msg =~ s/\%domain/$domain/;
	$msg =~ s/\%SMTP_host/$host/;
	$msg =~ s/\%SMTP_command/$command/;
	$msg =~ s/\%SMTP_answer/$answer/;
	$msg =~ s/\%check_result/$check_result/;
	syslog($$syslog_param{'priority'}, $msg);
    }
}

1;
